com.smartgwt.client.types

## Enum NavigationMode

- java.lang.Object
- - java.lang.Enum<NavigationMode>
  - - com.smartgwt.client.types.NavigationMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<NavigationMode>

      public enum NavigationMode
      extends java.lang.Enum<NavigationMode>
      implements ValueEnum

  Controls the navigation mode of records.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NAVICON_ONLY` Only clicking directly on the navigation icon triggers navigation
    `WHOLE_RECORD` Clicking anywhere on the record navigates

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static NavigationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NavigationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WHOLE_RECORD

          public static final NavigationMode WHOLE_RECORD

      Clicking anywhere on the record navigates

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "wholeRecord".

    - #### NAVICON_ONLY

          public static final NavigationMode NAVICON_ONLY

      Only clicking directly on the navigation icon triggers navigation

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "navIconOnly".

  - ### Method Detail

    - #### values

          public static NavigationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NavigationMode c : NavigationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NavigationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`